#include "IoState.h"
#include "IoObject.h"

IoObject *IoTheoraSetupInfo_proto(void *state);
IoObject *IoTheoraDecodeContext_proto(void *state);
IoObject *IoTheoraComment_proto(void *state);
IoObject *IoTheoraInfo_proto(void *state);

void IoTheoraInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("TheoraSetupInfo"), IoTheoraSetupInfo_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("TheoraDecodeContext"), IoTheoraDecodeContext_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("TheoraComment"), IoTheoraComment_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("TheoraInfo"), IoTheoraInfo_proto(self));

}
